<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
ini_set('memory_limit', '-1');
class CorteCaja extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->load->model('pagos/cosmetologo/CorteCaja_model');
		$this->load->library(array('session','form_validation'));
		$this->load->helper('url'); 
	}

	public function index()
	{ 
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '2')
		{
			redirect(base_url().'acceso/acceso');
		} else {
			$this->load->view('layout/headerCos');
			$this->load->view('layout/menuCosmetologo');
			$this->load->view('pagos/cosmetologo/corteCaja_view');	
			$this->load->view('layout/footer');
		}

	}


	public function reporteIngresos(){
		$inicio = $this->input->post('finicio');
		$fin = $this->input->post('ffin');
		$query = [];
		$data = [];
		$query['ventasGeneral'] = $this->CorteCaja_model->reporteIngresosM($inicio,$fin);
		$query['pagosServicios'] = $this->reportePagosServicios($inicio,$fin);
		$query['pagosPromociones'] = $this->reportePagosPromociones($inicio,$fin);
		$query['pagosProductos'] = $this->reportePagosProductos($inicio,$fin);

 	
 			/*$nombre = "GENERAL";*/
			// foreach($query['ventasGeneral'] as $vg) {
			// 	if($vg[8] == 1){
			// 			$vg[8] = "TARJETA DE CREDITO";
			// 		}
			// 		else if($vg[8] == 2){
			// 			$vg[8] = "TARJETA DE DEBITO";
			// 		}
			// 		else {
			// 			$vg[8] = "";
			// 		}
		// 		$data[] = array(
		// 			$vg[0],
		// 			$vg[1],		
		// 			$vg[2],
		// 			$vg[3],
		// 			$vg[4],
		// 			$vg[5],
		// 			$vg[6],
		// 			$vg[7],
		// 			$vg[8],
		// 			$vg[9],
		// 		);
		// 	}	
		// }	

		if(count($query['pagosServicios']) != null ){
			$nombre = "SERVICIO";
			foreach($query['pagosServicios'] as $ps) {
				if ($ps[7] >=0){
					if($ps[8] == 1){
							$ps[8] = "TARJETA DE CREDITO";
						}
						else if($ps[8] == 2){
							$ps[8] = "TARJETA DE DEBITO";
						}
						else {
							$ps[8];
						}
					}
					// else {
					// 	$ps[8] = "";
					// 	}
				if ($ps[9] >=0){
					if($ps[10] == 1){
							$ps[10] = "TARJETA DE CREDITO";
						}
						else if($ps[10] == 2){
							$ps[10] = "TARJETA DE DEBITO";
						}
						else {
							$ps[10];
						}
					}
					// else {
					// 	$ps[10] = "";
					// 	}
				$data[] = array(
					$ps[0],
					date("d-m-Y", strtotime($ps[1])),		
					$ps[2],
					$ps[3],
					$ps[4],
					$ps[5],
					$ps[6],
					$ps[7],
					$ps[8],
					$ps[9],
					$ps[10],
					$nombre,
					

				);
			}	
		}
		if(count($query['pagosPromociones']) != null ){
			$nombre = "PROMOCIÓN-SERVICIO";
			foreach($query['pagosPromociones'] as $pp) {
				if ($pp[7] >=0){
					if($pp[8] == 1){
							$pp[8] = "TARJETA DE CREDITO";
						}
						else if($pp[8] == 2){
							$pp[8] = "TARJETA DE DEBITO";
						}
							else {
							$pp[8]="";
							}
						}
						// else {
						// $pp[8] = "";
						// }
				if ($pp[9] >=0){
					if($pp[10] == 1){
							$pp[10] = "TARJETA DE CREDITO";
						}
						else if($pp[10] == 2){
							$pp[10] = "TARJETA DE DEBITO";
						}
							else {
							$pp[10]="";
							}
						}
						// else {
						// $pp[10] = "";
						// }		
					$data[] = array(
						$pp[0],
						date("d-m-Y", strtotime($pp[1])),		
						$pp[2],
						$pp[3],
						$pp[4],
						$pp[5],
						$pp[6],
						$pp[7],
						$pp[8],
						$pp[9],
						$pp[10],
						$nombre,
					
				);
			}	
		}
		if(count($query['pagosProductos']) != null ){
			$nombre = "PRODUCTO";
			foreach($query['pagosProductos'] as $ppr) {
				if ($ppr[7] >=0){
					if($ppr[8] == 1){
							$ppr[8] = "TARJETA DE CREDITO";
						}
						else if($ppr[8] == 2){
							$ppr[8] = "TARJETA DE DEBITO";
						}
						  else {
						   	$ppr[8]="";
						   }
					}
					// else {
					// 	$ppr[8] = "";
					// 	}
				if ($ppr[9] >=0){
					if($ppr[10] == 1){
							$ppr[10] = "TARJETA DE CREDITO";
						}
						else if($ppr[10] == 2){
							$ppr[10] = "TARJETA DE DEBITO";
						}
						  else {
						   	$ppr[10]="";
						   }
					}
					// else {
					// 	$ppr[10] = "";
					// 	}
					$data[] = array(
						$ppr[0],
						date("d-m-Y", strtotime($ppr[1])),		
						$ppr[2],
						$ppr[3],
						$ppr[4],
						$ppr[5],
						$ppr[6],
						$ppr[7],
						$ppr[8],
						$ppr[9],
						$ppr[10],
						$nombre,
				);
			}	
		}

		echo json_encode($data );
	}





	public function reportePagosServicios($inicio,$fin){

		$query= $this->CorteCaja_model->reportePagosServicios($inicio,$fin);
		$data = [];
		$vacio= "";

		if(count($query['F1']->result()) != null ){
			foreach($query['F1']->result() as $pago) {
				$data[] = array(
					$pago->folio,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->Fecha1,
					$pago->Usuario1,
					$pago->Contado1,
					$pago->CTarjeta1,
					$pago->TipoTarjeta1,
					$pago->CTarjeta1A,
					$pago->TipoTarjeta1A,
				);
			}	
		}

		if(count($query['F2']->result()) != null ){
			foreach($query['F2']->result() as $pago) {
				$data[] = array(
					$pago->folio2,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->Fecha2,
					$pago->Usuario2,
					$pago->Contado2,
					$pago->CTarjeta2,
					$pago->TipoTarjeta2,
					$vacio,
					$vacio,
					//$pago->CTarjeta2,
					//$pago->TipoTarjeta2,
					
				);
			}	
		}


		if(count($query['F3']->result()) != null ){
			foreach($query['F3']->result() as $pago) {
				$data[] = array(
					$pago->folio3,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->Fecha3,
					$pago->Usuario3,
					$pago->Contado3,
					$pago->CTarjeta3,
					$pago->TipoTarjeta3,
					$vacio,
					$vacio,
					//$pago->CTarjeta3,
					//$pago->TipoTarjeta3,
					
				);
			}
		}


		if(count($query['F4']->result()) != null ){
			foreach($query['F4']->result() as $pago) {
				$data[] = array(
					$pago->folio4,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->Fecha4,
					$pago->Usuario4,
					$pago->Contado4,
					$pago->CTarjeta4,
					$pago->TipoTarjeta4,
					$vacio,
					$vacio,
					//$pago->CTarjeta4,
					//$pago->TipoTarjeta4,
				);
			}
		}
		if(count($query['F1G']->result()) != null ){
			foreach($query['F1G']->result() as $pago) {
				$data[] = array(
					$pago->folio,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->Fecha1,
					$pago->Usuario1,
					$pago->Contado1,
					$pago->CTarjeta1,
					$pago->TipoTarjeta1,
					$pago->CTarjeta1A,
					$pago->TipoTarjeta1A,


				);
			}	
		}
		if(count($query['F2G']->result()) != null ){
			foreach($query['F2G']->result() as $pago) {
				$data[] = array(
					$pago->folio2,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->Fecha2,
					$pago->Usuario2,
					$pago->Contado2,
					$pago->CTarjeta2,
					$pago->TipoTarjeta2,
					$vacio,
					$vacio,
					//$pago->CTarjeta2,
					//$pago->TipoTarjeta2,
					
				);
			}	
		}
		if(count($query['F3G']->result()) != null ){
			foreach($query['F3G']->result() as $pago) {
				$data[] = array(
					$pago->folio3,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->Fecha3,
					$pago->Usuario3,
					$pago->Contado3,
					$pago->CTarjeta3,
					$pago->TipoTarjeta3,
					$vacio,
					$vacio,
					//$pago->CTarjeta3,
					//$pago->TipoTarjeta3,
				);
			}	
		}
		if(count($query['F4G']->result()) != null ){
			foreach($query['F4G']->result() as $pago) {
				$data[] = array(
					$pago->folio4,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->Fecha4,
					$pago->Usuario4,
					$pago->Contado4,
					$pago->CTarjeta4,
					$pago->TipoTarjeta4,
					$vacio,
					$vacio,
					//$pago->CTarjeta4,
					//$pago->TipoTarjeta4,

				);
			}	
		}
		/*echo json_encode($data);*/
		return $data;


	}	



	public function reportePagosPromociones($inicio,$fin){
		/*$inicio = $this->input->post('finicio');
		$fin = $this->input->post('ffin');*/
		$query= $this->CorteCaja_model->reportePagosPromociones($inicio,$fin);
		$data = [];
		$vacio = "";

		if(count($query['F1']->result()) != null ){
			foreach($query['F1']->result() as $pago) {
				$data[] = array(
					$pago->folio,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombrePromocion,
					$pago->Fecha1,
					$pago->Usuario1,
					$pago->Contado1,
					$pago->CTarjeta1,
					$pago->TipoTarjeta1,
					$pago->CTarjeta1A,
					$pago->TipoTarjeta1A,
				);
			}	
		}


		if(count($query['F2']->result()) != null ){
			foreach($query['F2']->result() as $pago) {
				$data[] = array(
					$pago->folio2,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombrePromocion,
					$pago->Fecha2,
					$pago->Usuario2,
					$pago->Contado2,
					$pago->CTarjeta2,
					$pago->TipoTarjeta2,
					$vacio,
					$vacio,
					//$pago->CTarjeta2,
					//$pago->TipoTarjeta2,
					
				);
			}	
		}


		if(count($query['F3']->result()) != null ){
			foreach($query['F3']->result() as $pago) {
				$data[] = array(
					$pago->folio3,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombrePromocion,
					$pago->Fecha3,
					$pago->Usuario3,
					$pago->Contado3,
					$pago->CTarjeta3,
					$pago->TipoTarjeta3,
					$vacio,
					$vacio,
					//$pago->CTarjeta3,
					//$pago->TipoTarjeta3,
					
				);
			}
		}


		if(count($query['F4']->result()) != null ){
			foreach($query['F4']->result() as $pago) {
				$data[] = array(
					$pago->folio4,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombrePromocion,
					$pago->Fecha4,
					$pago->Usuario4,
					$pago->Contado4,
					$pago->CTarjeta4,
					$pago->TipoTarjeta4,
					$vacio,
					$vacio,
					//$pago->CTarjeta4,
					//$pago->TipoTarjeta4,
					
				
				);
			}
		}

		/*echo json_encode($data);*/
		return $data;


	}


	public function reportePagosProductos($inicio,$fin){
		/*$inicio = $this->input->post('finicio');
		$fin = $this->input->post('ffin');*/
		$query= $this->CorteCaja_model->reportePagosProductos($inicio,$fin);
		$data = [];
		$vacio = "";


		if(count($query['F1']->result()) != null ){
			foreach($query['F1']->result() as $pago) {

				$data[] = array(
					$pago->folio,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreProducto,
					$pago->Fecha1,
					$pago->Usuario1,
					$pago->Contado1,
					$pago->CTarjeta1,
					$pago->TipoTarjeta1,
					$pago->CTarjeta1A,
					$pago->TipoTarjeta1A,
				);
			}	
		}

		if(count($query['F2']->result()) != null ){
			foreach($query['F2']->result() as $pago) {

				$data[] = array(
					$pago->folio2,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreProducto,
					$pago->Fecha2,
					$pago->Usuario2,
					$pago->Contado2,
					$pago->CTarjeta2,
					$pago->TipoTarjeta2,
					$vacio,
					$vacio,
					//$pago->CTarjeta2,
					//$pago->TipoTarjeta2,
					
				);
			}	
		}


		/*echo json_encode($data);*/
		return $data;

	}
}
